// reset // 

* {
    padding: 0;
    margin: 0;
}

body {
    position: relative;
    background-color: $black1;
    color: $white;

    @media (max-width: 320px) {
        width: 320px;
    }
}

html {
    line-height: 1.15; 
    -webkit-text-size-adjust: 100%;
}

a {
    text-decoration: none;
    color: inherit;
}

button {
    background: transparent;
    border: none;
    cursor: pointer;
}

// global style // 

.section {
    margin-bottom: 72px;
   
    @media (max-width: 768px) {
        margin-bottom: 64px;
    }
}

.main {
    display: block;
    padding-top: 90px;
   
    @media (max-width: 768px) {
        padding-top: 74px;
    }
}

.container {
    max-width: 1440px;
    margin: 0 auto;
    padding: 0 120px;

    @media (max-width: 1280px) {
        padding: 0 64px;
    }

    @media (max-width: 576px) {
        padding: 0 24px;
    }

    @media (max-width: 360px) {
        padding: 0 16px;
    }
}


.btn {
    @include btn;
}

.main__title {
    @include mainTitle;
}

.main__text {
    @include mainText;
}

.section__title {
    @include sectionTitle;
}

.title {
    margin-bottom: 40px;

    @media (max-width: 768px) {
        margin-bottom: 24px;
    }
}

// overlay //

.overlay__card {
    transition: 0.6s ease;
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 1;
}